/*
	SC1WDOG.c 

	CM71xx/Z1 and CM72xx/Z2

	Show how to monitor for watchdog timeout.
*/

main(){
	if(!wderror()){				// check if watchdog timeout
		printf("Watchdog has timed out !!!\n");
		printf("Reset board or power down to clear the watchdog.\n");
		while(1){
			hitwd();
			runwatch();
		}
	}
	printf("Forcing a watchdog timeout.\n");
	printf("Recompile and rerun this program.\n");
	for(;;) runwatch();
}

	
